package com.dayou.service;
import com.dayou.entity.Districts;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.DistrictsTreeVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 地区 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface IDistrictsService extends IService<Districts> {

        Page<Districts> selectPage(Page page,Districts districts);

        Districts detail(Long id);

    List<DistrictsTreeVO> getDistrictsTree();

    String getDistIds(String city, String county);
}
